LinuxQMISDK: slqssendasyncsmsparams_s Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
slqssendasyncsmsparams_s Struct Reference

## Data Fields
ULONG | messageFormat
ULONG | messageSize
BYTE * | pMessage
BYTE * | pForceOnDC
BYTE * | pServiceOption
BYTE * | pFollowOnDC
BYTE * | pLinktimer
BYTE * | pSmsOnIms
BYTE * | pRetryMessage
ULONG * | pRetryMessageId
ULONG * | pUserData

## Detailed Description

This structure contains SMS parameters

Parameters

  messageFormat | Message format Values: 0 - CDMA (IS-637B) 1 - 5 (Reserved) 6 - GSM/WCDMA PP
  messageSize | The length of the message contents in bytes
  pMessage | The message contents
  pForceOnDC | Force the message to be sent on the CDMA dedicated channel. Values: 0x00 - Do not care about the channel on which the message is sent 0x01 - Request to send the message over the dedicated channel
  pServiceOption | Service option: Values: 0x00 - SO_AUTO - AUTO (choose the best service option) 0x06 - SO_6 - Service option 6 0x0E - SO_14 - Service option 14
  pFollowOnDC | Flag to request not to disconnect the CDMA dedicated channel after the send operation is complete. This TLV can be included if more messages are expected to follow. Values: 0x01 - FOLLOW_ON_DC_ON - On (don't disconnect after send operation) Any value other than 0x01 is treated as an absence of this TLV.
  pLinktimer | Keeps the GW SMS link open for the specified number of seconds; can be enabled if more messages are expected to follow
  pSmsOnIms | Indicates whether the message is to be sent on IMS. Values: 0x00 - Message is not to be sent on IMS 0x01 - Message is to be sent on IMS 0x02 to 0xFF - Reserved
  pRetryMessage | Indicates this message is a retry message. Values: 0x01 - WMS_MESSAGE_IS_A_RETRY - Message is a retry message Note: Any value other than 0x01 in this field is treated as an absence of this TLV.
  pRetryMessageId | Message ID to be used in the retry message. The message ID specified here is used instead of the messsage ID encoded in the raw message.
  pUserData | Enables the control point to associate the request with the corresponding indication. The control point might send numerous requests. This TLV will help the control point to identify the request for which the received indication belongs.

## Field Documentation

ULONG slqssendasyncsmsparams_s::messageFormat

ULONG slqssendasyncsmsparams_s::messageSize

BYTE* slqssendasyncsmsparams_s::pFollowOnDC

BYTE* slqssendasyncsmsparams_s::pForceOnDC

BYTE* slqssendasyncsmsparams_s::pLinktimer

BYTE* slqssendasyncsmsparams_s::pMessage

BYTE* slqssendasyncsmsparams_s::pRetryMessage

ULONG* slqssendasyncsmsparams_s::pRetryMessageId

BYTE* slqssendasyncsmsparams_s::pServiceOption

BYTE* slqssendasyncsmsparams_s::pSmsOnIms

ULONG* slqssendasyncsmsparams_s::pUserData